package kr.co.uplus.ez.api.homeMgt.dto;

import java.io.Serializable;

import kr.co.uplus.ez.common.data.ApiResponseCode;
import kr.co.uplus.ez.common.data.ResponseMessage;
import lombok.Data;

@SuppressWarnings("serial")
@Data
public class DeleteFaqResDto extends ResponseMessage implements Serializable{

		// 데이터.
		private Object data;

		public DeleteFaqResDto() {
			this.retCode = ApiResponseCode.SUCCESS.getResultCode();
			this.retMsg = ApiResponseCode.SUCCESS.getResultMsg();
		}

		public DeleteFaqResDto(ApiResponseCode returnStr) {
			this.retCode = returnStr.getResultCode();
			this.retMsg = returnStr.getResultMsg();
		}

		public DeleteFaqResDto(ApiResponseCode returnStr, Object data) {
			this.retCode = returnStr.getResultCode();
			this.retMsg = returnStr.getResultMsg();
			this.data = data;
		}
}
